# API Reference Guide

- [PySDK Package](https://docs.degirum.com/pysdk/user-guide-pysdk/api-ref/package.md): PySDK API Reference Guide. PySDK entry points: connect(), LOCAL/CLOUD designators.
- [Model Module](https://docs.degirum.com/pysdk/user-guide-pysdk/api-ref/model.md): PySDK API Reference Guide. Core Model class.
- [Zoo Manager Module](https://docs.degirum.com/pysdk/user-guide-pysdk/api-ref/zoo-manager.md): PySDK API Reference Guide. Load, list and authenticate against local, server or cloud zoos.
- [Postprocessor Module](https://docs.degirum.com/pysdk/user-guide-pysdk/api-ref/postprocessor.md): PySDK API Reference Guide. InferenceResults containers.
- [AI Server Module](https://docs.degirum.com/pysdk/user-guide-pysdk/api-ref/server.md): PySDK API Reference Guide. CLI launcher for the DeGirum AI server.
- [Miscellaneous Modules](https://docs.degirum.com/pysdk/user-guide-pysdk/api-ref/misc.md): PySDK API Reference Guide. Console logging, verbosity control and helper exceptions.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.degirum.com/pysdk/user-guide-pysdk/api-ref.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
